Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.view.client
Interface HasCellPreviewHandlers<T>

Type Parameters:
  `T` - the data type of the values in the widget

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasData<T>

All Known Implementing Classes:
  AbstractCellTable, AbstractHasData, CellList, CellTable, DataGrid

    public interface HasCellPreviewHandlers<T>

extends HasHandlers

A widget that implements this interface is a public source of `CellPreviewEvent` events.

Method Summary
`HandlerRegistration` | `addCellPreviewHandler(CellPreviewEvent.Handler<T> handler)` Adds a `CellPreviewEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addCellPreviewHandler

    HandlerRegistration addCellPreviewHandler(CellPreviewEvent.Handler<T> handler)

  Adds a `CellPreviewEvent` handler.

  Parameters:
    `handler` - the handler
  Returns:
    the registration for the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD